# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'multi_rubocops/version'

Gem::Specification.new do |spec|
  spec.name          = 'multi_rubocops'
  spec.version       = MultiRubocops::VERSION
  spec.authors       = ['MichaelAChrisco']
  spec.email         = ['michaelachrisco@gmail.com']

  spec.summary       = 'Run multiple rubocops as threads'
  spec.description   = 'Rubocops over all files'
  spec.homepage      = "https://github.com/michaelachrisco/multi_rubocops"
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'rubocop'
  spec.add_development_dependency 'bundler', '~> 1.10'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec'
end
